Jifty::Script(3)

NAME
Jifty::Script - Base class for all bin/jifty commands

METHODS

  prepare
"prepare" figures out which command to run. If the user wants "--help" give them help.

In the normal case, let App::CLI figure out the command-line. If they have no command on the command-line, but a JIFTY_COMMAND environment variable, try that. Otherwise, if the GATEWAY_INTERFACE environment variable is set, assume we are running under CGI with the "fastcgi" command. If all fails, shows the help.

  options

  alias
The alias table lets users type "fastcgi" in place of "FastCGI".

  print_help
Prints out help for the package using pod2usage.

If the user specified --help, prints a brief usage message

If the user specified --man, prints out a manpage